PHP-инклюдинг в RSS-aggregator

Дата публикации:
24.06.2008
Всего просмотров:
1307
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2884
CVE-2008-3033
CVE-2008-3034
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RSS-aggregator
Уязвимые версии: RSS-aggregator

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "path" в сценарии display.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опции "register_globals", "allow_url_fopen" и "allow_url_include" должны быть включены в конфигурационном файле PHP. Пример:

http://[host]/display.php?path=[file]

URL производителя: www.rss-aggregator.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA